{
  "name": "template",
  "version": "1.0.0",
  "description": "",
  "main": "src/app.js",
  "scripts": {
    "dev": "nodemon",
    "check": "tsc --noEmit",
    "start": "node ./dist/app.js",
    "format": "prettier --write .",
    "build": "tsoa spec-and-routes && tsc",
    "migration:generate": "typeorm-ts-node-commonjs migration:generate -d src/database/data-source.ts",
    "migration:run": "typeorm-ts-node-commonjs migration:run -d src/database/data-source.ts",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:coverage": "jest --coverage"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@types/amqplib": "^0.10.5",
    "@types/cors": "^2.8.17",
    "@types/express": "^4.17.21",
    "@types/jest": "^29.5.11",
    "@types/node": "^20.11.5",
    "@types/node-cron": "^3.0.11",
    "@types/swagger-ui-express": "^4.1.6",
    "@types/ws": "^8.5.14",
    "jest": "^29.7.0",
    "nodemon": "^3.0.3",
    "prettier": "^3.2.2",
    "ts-jest": "^29.1.1",
    "ts-node": "^10.9.2",
    "typescript": "^5.3.3"
  },
  "dependencies": {
    "@elastic/elasticsearch": "^8.14.0",
    "@nestjs/platform-express": "^10.3.9",
    "@tsoa/runtime": "^6.0.0",
    "act": "^0.0.6",
    "amqplib": "^0.10.4",
    "axios": "^1.7.9",
    "cors": "^2.8.5",
    "csv-parser": "^3.0.0",
    "dotenv": "^16.3.1",
    "express": "^4.21.2",
    "fast-jwt": "^3.3.2",
    "fast-levenshtein": "^3.0.0",
    "fuse.js": "^7.1.0",
    "jsonwebtoken": "^9.0.2",
    "moment": "^2.30.1",
    "mysql2": "^3.9.1",
    "node-cron": "^3.0.3",
    "node-xlsx": "^0.24.0",
    "promise.any": "^2.0.6",
    "querystring": "^0.2.1",
    "redis": "^3.1.2",
    "reflect-metadata": "^0.2.1",
    "socket.io": "^4.8.1",
    "swagger-ui-express": "^5.0.0",
    "tsoa": "^6.0.1",
    "typeorm": "^0.3.19",
    "typeorm-cli": "^1.0.7",
    "ws": "^8.18.1",
    "xlsx": "^0.20.2"
  }
}
